CREATE TABLE ben_batch_lines (
    BATCH_LINE_ID               NUMBER(18, 0) ,
    BATCH_HEADER_ID             NUMBER(18, 0)     NOT NULL,
    BUSINESS_GROUP_ID           NUMBER(18, 0)     NOT NULL,
    STATUS                      VARCHAR2(1000),
    ERROR_MESSAGE               VARCHAR2(4000),
    ENROLLMENT_TYPE             VARCHAR2(1000)    NOT NULL,
    PRTT_PERSON_NUM             VARCHAR2(120) ,
    PGM_NAME                    VARCHAR2(960) ,
    PL_NAME                     VARCHAR2(960) ,
    DEENROLL_PL_NAME            VARCHAR2(960) ,
    OPT_NAME                    VARCHAR2(960) ,
    DEENROLL_OPT_NAME           VARCHAR2(960) ,
    LER_NAME                    VARCHAR2(960)     NOT NULL,
    LF_EVT_OCRD_DT              DATE              NOT NULL,
    EFFECTIVE_DATE              DATE              NOT NULL,
    CREATE_PTNL_FLAG            VARCHAR2(40)  ,
    PRTT_LAST_NAME              VARCHAR2(600)     NOT NULL,
    PRTT_FIRST_NAME             VARCHAR2(600)     NOT NULL,
    DPNT_LAST_NAME              VARCHAR2(600) ,
    DPNT_FIRST_NAME             VARCHAR2(600) ,
    BNF_LAST_NAME               VARCHAR2(600) ,
    BNF_FIRST_NAME              VARCHAR2(600) ,
    BENEFIT_RELATION            VARCHAR2(960)     NOT NULL,
    RATE_VALUE                  NUMBER(18, 0) ,
    BNFT_VALUE                  NUMBER(18, 0) ,
    DEENROLL_BNFT_VALUE         NUMBER(18, 0) ,
    BNF_AMOUNT                  NUMBER        ,
    BNF_PCT                     NUMBER(18, 0) ,
    PRTT_CVG_START_DT           DATE          ,
    PRTT_ORIG_ENRT_DT           DATE          ,
    DPNT_CVG_START_DT           DATE          ,
    BNF_START_DT                DATE          ,
    CLOSE_LER_FLAG              VARCHAR2(40)  ,
    CLOSE_LER_EFFECTIVE_DATE    DATE          ,
    BBL_TXT_VAL_1               VARCHAR2(960) ,
    BBL_TXT_VAL_2               VARCHAR2(960) ,
    BBL_TXT_VAL_3               VARCHAR2(960) ,
    BBL_TXT_VAL_4               VARCHAR2(960) ,
    BBL_TXT_VAL_5               VARCHAR2(960) ,
    BBL_TXT_VAL_6               VARCHAR2(960) ,
    BBL_TXT_VAL_7               VARCHAR2(960) ,
    BBL_TXT_VAL_8               VARCHAR2(960) ,
    BBL_TXT_VAL_9               VARCHAR2(960) ,
    BBL_TXT_VAL_10              VARCHAR2(960) ,
    BBL_NUM_VAL_1               NUMBER(18, 0) ,
    BBL_NUM_VAL_2               NUMBER(18, 0) ,
    BBL_NUM_VAL_3               NUMBER(18, 0) ,
    BBL_NUM_VAL_4               NUMBER(18, 0) ,
    BBL_NUM_VAL_5               NUMBER(18, 0) ,
    BBL_NUM_VAL_6               NUMBER(18, 0) ,
    BBL_NUM_VAL_7               NUMBER(18, 0) ,
    BBL_NUM_VAL_8               NUMBER(18, 0) ,
    BBL_NUM_VAL_9               NUMBER(18, 0) ,
    BBL_NUM_VAL_10              NUMBER(18, 0) ,
    BBL_DT_VAL_1                DATE          ,
    BBL_DT_VAL_2                DATE          ,
    BBL_DT_VAL_3                DATE          ,
    BBL_DT_VAL_4                DATE          ,
    BBL_DT_VAL_5                DATE          ,
    BBL_DT_VAL_6                DATE          ,
    BBL_DT_VAL_7                DATE          ,
    BBL_DT_VAL_8                DATE          ,
    BBL_DT_VAL_9                DATE          ,
    BBL_DT_VAL_10               DATE          ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    BATCH_LINE_ID               NUMBER(18, 0) ,
    BATCH_HEADER_ID             NUMBER(18, 0)     NOT NULL,
    BUSINESS_GROUP_ID           NUMBER(18, 0)     NOT NULL,
    STATUS                      VARCHAR2(1000),
    ERROR_MESSAGE               VARCHAR2(4000),
    ENROLLMENT_TYPE             VARCHAR2(1000)    NOT NULL,
    PRTT_PERSON_NUM             VARCHAR2(120) ,
    PGM_NAME                    VARCHAR2(960) ,
    PL_NAME                     VARCHAR2(960) ,
    DEENROLL_PL_NAME            VARCHAR2(960) ,
    OPT_NAME                    VARCHAR2(960) ,
    DEENROLL_OPT_NAME           VARCHAR2(960) ,
    LER_NAME                    VARCHAR2(960)     NOT NULL,
    LF_EVT_OCRD_DT              DATE              NOT NULL,
    EFFECTIVE_DATE              DATE              NOT NULL,
    CREATE_PTNL_FLAG            VARCHAR2(40)  ,
    PRTT_LAST_NAME              VARCHAR2(600)     NOT NULL,
    PRTT_FIRST_NAME             VARCHAR2(600)     NOT NULL,
    DPNT_LAST_NAME              VARCHAR2(600) ,
    DPNT_FIRST_NAME             VARCHAR2(600) ,
    BNF_LAST_NAME               VARCHAR2(600) ,
    BNF_FIRST_NAME              VARCHAR2(600) ,
    BENEFIT_RELATION            VARCHAR2(960)     NOT NULL,
    RATE_VALUE                  NUMBER(18, 0) ,
    BNFT_VALUE                  NUMBER(18, 0) ,
    DEENROLL_BNFT_VALUE         NUMBER(18, 0) ,
    BNF_AMOUNT                  NUMBER        ,
    BNF_PCT                     NUMBER(18, 0) ,
    PRTT_CVG_START_DT           DATE          ,
    PRTT_ORIG_ENRT_DT           DATE          ,
    DPNT_CVG_START_DT           DATE          ,
    BNF_START_DT                DATE          ,
    CLOSE_LER_FLAG              VARCHAR2(40)  ,
    CLOSE_LER_EFFECTIVE_DATE    DATE          ,
    BBL_TXT_VAL_1               VARCHAR2(960) ,
    BBL_TXT_VAL_2               VARCHAR2(960) ,
    BBL_TXT_VAL_3               VARCHAR2(960) ,
    BBL_TXT_VAL_4               VARCHAR2(960) ,
    BBL_TXT_VAL_5               VARCHAR2(960) ,
    BBL_TXT_VAL_6               VARCHAR2(960) ,
    BBL_TXT_VAL_7               VARCHAR2(960) ,
    BBL_TXT_VAL_8               VARCHAR2(960) ,
    BBL_TXT_VAL_9               VARCHAR2(960) ,
    BBL_TXT_VAL_10              VARCHAR2(960) ,
    BBL_NUM_VAL_1               NUMBER(18, 0) ,
    BBL_NUM_VAL_2               NUMBER(18, 0) ,
    BBL_NUM_VAL_3               NUMBER(18, 0) ,
    BBL_NUM_VAL_4               NUMBER(18, 0) ,
    BBL_NUM_VAL_5               NUMBER(18, 0) ,
    BBL_NUM_VAL_6               NUMBER(18, 0) ,
    BBL_NUM_VAL_7               NUMBER(18, 0) ,
    BBL_NUM_VAL_8               NUMBER(18, 0) ,
    BBL_NUM_VAL_9               NUMBER(18, 0) ,
    BBL_NUM_VAL_10              NUMBER(18, 0) ,
    BBL_DT_VAL_1                DATE          ,
    BBL_DT_VAL_2                DATE          ,
    BBL_DT_VAL_3                DATE          ,
    BBL_DT_VAL_4                DATE          ,
    BBL_DT_VAL_5                DATE          ,
    BBL_DT_VAL_6                DATE          ,
    BBL_DT_VAL_7                DATE          ,
    BBL_DT_VAL_8                DATE          ,
    BBL_DT_VAL_9                DATE          ,
    BBL_DT_VAL_10               DATE          ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    CONSTRAINT pk_ben_batch_lines PRIMARY KEY (BATCH_LINE_ID, BATCH_LINE_ID)
);
